Bug 6952 - icon licenses are not clearly indicated
Summary: icon licenses are not clearly indicated
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: Other (show other bugs)
Version: unspecified
Hardware: All All
: high normal
Assignee: uim-bugs
QA Contact:
URL: http://lists.sourceforge.jp/mailman/a...
Whiteboard:
Keywords:
Depends on:
Blocks: 6089
  Show dependency treegraph
 
Reported: 2006-05-17 20:59 UTC by YamaKen
Modified: 2006-05-24 22:07 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description YamaKen 2006-05-17 20:59:37 UTC
- uim-dict.svg is derived from an icon licensed with Creative Commons
Attribution-ShareAlike. It should be noticed to users and developers to avoid
license problems on future development such as data-embedding into codes

- The icons contributed from SCIM IMEngine project are contained under 3-clause
BSDL, selected from its dual-license. We should describe the original licensing
information, relationship with the project and how to contribute and feedback
modification

- SVG icons should contain basic copyright information (author, date, etc) as
metadata
Comment 1 Etsushi Kato 2006-05-19 00:12:02 UTC
> - uim-dict.svg is derived from an icon licensed with Creative Commons
> Attribution-ShareAlike. It should be noticed to users and developers to avoid
> license problems on future development such as data-embedding into codes

OK.  I've replaced the uim-dict icon with public domain one.

Comment 2 YamaKen 2006-05-20 11:49:20 UTC
Described in r3458.
Comment 3 YamaKen 2006-05-22 02:06:47 UTC
configure-qt.png is not a BSDL'ed. It must be resolved.
Comment 4 YamaKen 2006-05-24 00:40:52 UTC
The metadata has been added in r3484.
Comment 5 Etsushi Kato 2006-05-25 15:07:38 UTC
configure-qt.png is removed in r3487.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.